Вопросы и ответы - Макхост

Как изменить версию PHP для командной строки

Здравствуйте!

Я использую framework Symfony в своих проектах, и активно пользуюсь файлом console, который необходимо запускать с помощью PHP 7 версии. Я увидел что интерпретатор другой версии можно вызвать просто указав его версию (Пример: php-cgi7.1), но при таком вызове в файл скрипта не передаются аргументы командной строки.

Подскажите, как можно выйти из этой ситуации?

11.09.2018   00:15
Пользователь ID 56867
 нет комментариев
ОТВЕТЫ НА ВОПРОС (1)
Сотрудник Озорович Михаил

Здравствуйте.

Запускать необходимо следующим образом:

/home/httpd/fcgi-bin/aXXXXX_X/php-cli /home/httpd/vhosts/domain.com/httpdocs/script.php

где aXXXXX_X - ftp/ssh логин конкретного домена, а /home/httpd/vhosts/domain.com/httpdocs/script.php - абсолютный путь скрипта, который необходимо запустить.

Просьба учитывать, что для домена должна быть выбрана необходимая вам версия PHP.

11 сентября, в 08:40
 Комментировать

Для ответа нужно зарегистрироваться или авторизоваться.